searchable.binarysearchtree

## Class GetReadableCallBack

- java.lang.Object
- - searchable.binarysearchtree.GetReadableCallBack

- All Implemented Interfaces:
    SearchCallBack

      class GetReadableCallBack
      extends java.lang.Object
      implements SearchCallBack

  Budování čitelného seznamu z uzlů stromu.

  Popis: Obsahuje metodu processCurrentElement určenou ke zpětnému volání. Tato metoda přidá běžný vrchol do seznamu. Tato metoda se má volat ze stromu z metody Search, která systematicky prochází strom vrchol po vrcholu.

  Užití: Předejte instanci této třídy metodě Search stromu, která prochází stromem a zpětně volá metodu processCurrentElement.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.List<java.lang.String>` | `strings` Seznam čitelných údajů o jednotlivých uzlech stromu.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetReadableCallBack(java.util.List<java.lang.String> aStrings)` Vyrobí objekt na budování čitelného seznamu.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processCurrentElement(Element elem)` Přidá čitelnou podobu běžného vrcholu do seznamu strings.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### strings

          private java.util.List<java.lang.String> strings

      Seznam čitelných údajů o jednotlivých uzlech stromu.

  - ### Constructor Detail

    - #### GetReadableCallBack

          public GetReadableCallBack(java.util.List<java.lang.String> aStrings)

      Vyrobí objekt na budování čitelného seznamu.
      Parameters:
        `aStrings` - seznam řetězců, kam se má uložit výsledek

  - ### Method Detail

    - #### processCurrentElement

          public void processCurrentElement(Element elem)

      Přidá čitelnou podobu běžného vrcholu do seznamu strings.

      Užití: Tato metoda se má zpětně volat ze stromu z metody Search, která systematicky prochází strom uzel po uzlu.

      Specified by:
        `processCurrentElement` in interface `SearchCallBack`
      Parameters:
        `elem` - prvek uložený v uzlu